Inbound Inspection Sample

The inbound inspection sample resource.

Basehttps://rest.carbon.ms/inboundInspectionSample
GET/inboundInspectionSample

List inbound inspection samples

Retrieve a paginated list of inbound inspection samples. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/inboundInspectionSample
curl --request GET \
  --url 'https://rest.carbon.ms/inboundInspectionSample?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "inboundInspectionId": "xyz789",
    "trackedEntityId": "xyz789",
    "status": "string",
    "companyId": "xyz789",
    "createdAt": "2026-01-01T00:00:00Z",
    "createdBy": "string",
    "notes": "string"
  }
]
GET/inboundInspectionSample

Retrieve a inbound inspection sample

Fetch a single inbound inspection sample by filtering on `id`.

Query parameters

idstring

Match on the inbound inspection sample's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/inboundInspectionSample
curl --request GET \
  --url 'https://rest.carbon.ms/inboundInspectionSample?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "inboundInspectionId": "xyz789",
  "trackedEntityId": "xyz789",
  "status": "string",
  "companyId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string",
  "notes": "string"
}
POST/inboundInspectionSample

Create a inbound inspection sample

Create a new inbound inspection sample.

Body parameters

inboundInspectionIdstringrequired

References inboundInspection.id

trackedEntityIdstringrequired

References trackedEntity.id

statusinboundInspectionSampleStatusrequired
notesstring
inspectedBystring

References user.id

inspectedAttimestamp
companyIdstringrequired

References company.id

POSThttps://rest.carbon.ms/inboundInspectionSample
curl --request POST \
  --url https://rest.carbon.ms/inboundInspectionSample \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"inboundInspectionId":"xyz789","trackedEntityId":"xyz789","status":"string","companyId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "inboundInspectionId": "xyz789",
  "trackedEntityId": "xyz789",
  "status": "string",
  "companyId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string",
  "notes": "string"
}
PATCH/inboundInspectionSample

Update a inbound inspection sample

Update an existing inbound inspection sample, matched on `id`.

Body parameters

inboundInspectionIdstringrequired

References inboundInspection.id

trackedEntityIdstringrequired

References trackedEntity.id

statusinboundInspectionSampleStatusrequired
notesstring
inspectedBystring

References user.id

inspectedAttimestamp
companyIdstringrequired

References company.id

PATCHhttps://rest.carbon.ms/inboundInspectionSample
curl --request PATCH \
  --url 'https://rest.carbon.ms/inboundInspectionSample?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"inboundInspectionId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "inboundInspectionId": "xyz789",
  "trackedEntityId": "xyz789",
  "status": "string",
  "companyId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string",
  "notes": "string"
}
DELETE/inboundInspectionSample

Delete a inbound inspection sample

Delete a inbound inspection sample, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the inbound inspection sample to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/inboundInspectionSample
curl --request DELETE \
  --url 'https://rest.carbon.ms/inboundInspectionSample?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content